<template>
  <v-app>
    <router-view></router-view>

    <v-dialog v-model="isLoading" hide-overlay persistent width="300">
      <v-card color="primary" dark>
        <v-card-text>
          Xin vui lòng đợi...
          <v-progress-linear
            indeterminate
            color="white"
            class="mb-0"
          ></v-progress-linear>
        </v-card-text>
      </v-card>
    </v-dialog>

    <v-snackbar
      v-model="messageSnackbar.isShow"
      top
      :color="messageSnackbar.color"
      outlined
    >
      {{ messageSnackbar.message }}

      <template v-slot:action="{ attrs }">
        <v-btn
          :color="messageSnackbar.color"
          text
          v-bind="attrs"
          @click="closeSnackbar"
        >
          Đóng
        </v-btn>
      </template>
    </v-snackbar>
  </v-app>
</template>

<script>
import { mapState } from "vuex";
export default {
  computed: {
    ...mapState(["isLoading", 'messageSnackbar']),
  },
  methods: {
    closeSnackbar() {
      this.$store.commit("closeMessage", {});
    }
  },
};
</script>
